Bug 190162 - [patch] sysutils/fcron stagify
Summary: [patch] sysutils/fcron stagify
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-24 07:10 UTC by Zsolt Udvari
Modified: 2014-06-06 07:28 UTC (History)
3 users (show)

See Also:


Attachments
fcron.diff (2.47 KB, patch)
2014-05-24 07:10 UTC, Zsolt Udvari
no flags Details | Diff
New diff file. (5.09 KB, patch)
2014-06-04 13:11 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2014-05-24 07:10:00 UTC
sysutils/fcron stagify
Comment 1 Edwin Groothuis freebsd_committer 2014-05-24 07:10:03 UTC
Maintainer of sysutils/fcron,

Please note that PR ports/190162 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190162

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-05-24 07:10:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2014-06-04 10:49:08 UTC
Hi,

thanks for your patch, could you please have a look in the build log it seems fails.

http://pkgdev.miwibox.org/data/92amd64-default/2014-06-04_10h34m59s/logs/errors/fcron-3.0.6_1.log

thank you.
Comment 4 Zsolt Udvari 2014-06-04 13:11:36 UTC
Created attachment 143364 [details]
New diff file.
Comment 5 Martin Wilke freebsd_committer 2014-06-05 06:07:28 UTC
Hi,

Build still fails,

http://pkgdev.miwibox.org/data/92amd64-default/2014-06-05_05h54m42s/logs/errors/fcron-3.0.6_1.log

Please note that your Makefile is not in sync with the current portstree,
You may want to upgrade your portstree and create a new patch against the current version. Thank you
Comment 6 Zsolt Udvari 2014-06-05 06:43:14 UTC
Ooops, yes, thanks.

But I can build it without any error - with or without DOCS. The ${STAGEDIR}/etc/rc.d/fcron will be created too.
What I'm doing wrong?
Comment 7 Baptiste Daroussin freebsd_committer 2014-06-05 22:57:32 UTC
USE_RC_SUBR= fcron already add etc/rc.d/fcron into the plist, no need to readd it
PORTDOCS= * does the same for everything in the PORTDOCS directory

be carefull with make makeplist it is a helper but make check-orphans will be more helpful :)

Other change I did is removing the pre-su-install (not needed with stage)
Use the regular USERS/GROUPS framework hence remove pkg-install/pkg-deinstall
Do not specify user/group when installing sample (use @owner from pkg-plist)
handle the /var/spool/fcron from the plist as well (note that after pkg_install support is dropped @exec install ... could be removed)

I also installed the pam files into PREFIX/etc/pam.d (to avoid polluting base, openpam also look into that directory)

I dropped the conditional installation of DOCS in favor of leaving the plist decide what to install from stage

I added the definition for both DOCS and EXAMPLES given you use them
Comment 8 commit-hook freebsd_committer 2014-06-05 22:57:57 UTC
A commit references this bug:

Author: bapt
Date: Thu Jun  5 22:57:50 UTC 2014
New revision: 356721
URL: http://svnweb.freebsd.org/changeset/ports/356721

Log:
  Support stage
  Modernisation:
  - Use @sample
  - Install pam files into prefix
  - Use USERS/GROUPS framework
  - Remove now useless pkg-install/pkg-deinstall scripts

  PR:		190162
  Submitted by:	Zsolt Udvari

Changes:
  head/sysutils/fcron/Makefile
  head/sysutils/fcron/pkg-deinstall
  head/sysutils/fcron/pkg-install
  head/sysutils/fcron/pkg-plist
Comment 9 Zsolt Udvari 2014-06-06 07:28:23 UTC
Thanks for helping :)